org.gjt.sp.jedit

## Class EditAction.Wrapper

- java.lang.Object
- - org.gjt.sp.jedit.EditAction.Wrapper

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener
  Enclosing class:
    EditAction

      public static class EditAction.Wrapper
      extends java.lang.Object
      implements java.awt.event.ActionListener

  'Wrap' EditActions in this class to turn them into AWT ActionListeners, that can be attached to buttons, menu items, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wrapper(ActionContext context, java.lang.String actionName)` Creates a new action listener wrapper.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent evt)` Called when the user selects this action from a menu.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wrapper

          public Wrapper(ActionContext context,
                         java.lang.String actionName)

      Creates a new action listener wrapper.
      Parameters:
        `context` - the action context
        `actionName` - the name of the action
      Since:
        jEdit 4.2pre1

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent evt)

      Called when the user selects this action from a menu. It passes the action through the `InputHandler.invokeAction(EditAction)` method, which performs any recording or repeating.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Parameters:
        `evt` - The action event